/**   
* @Title: Epay.java 
* @Package com.platform.pojo 
* @Description: TODO(用一句话描述该文件做什么) 
* @author kiosk
* @date 2017年8月10日 上午10:15:55 
* @version V1.0   
*/
package com.platform.pojo;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;  
import javax.xml.bind.annotation.XmlAccessorType;  
import javax.xml.bind.annotation.XmlElement;  
import javax.xml.bind.annotation.XmlElementWrapper;  
import javax.xml.bind.annotation.XmlRootElement;  
import javax.xml.bind.annotation.XmlType;  

/** 
 * @ClassName: Epay 
 * @Description: TODO(这里用一句话描述这个类的作用) 
 * @author kiosk
 * @date 2017年8月10日 上午10:15:55 
 *  
 */
@XmlAccessorType(XmlAccessType.FIELD)  
@XmlRootElement(name = "xml") 
@XmlType(propOrder = { "return_code","return_msg","date","count","money", "itemList" })
public class WxPay {
	
	@XmlElement(name = "retUrn_code") 
	private String return_code;//返回码
	@XmlElement(name = "return_msg") 
	private String return_msg;//返回信息
	@XmlElement(name = "date") 
	private String date;//查询日期
	@XmlElement(name = "count") 
	private int count;//总条数
	@XmlElement(name = "money") 
	private float money;//总金额
	
	@XmlElementWrapper(name = "items")  
    @XmlElement(name = "wxItem") 
	private List<WxItem> itemList;


	

	/**
	 * @return the return_code
	 */
	public String getReturn_code() {
		return return_code;
	}


	/**
	 * @param return_code the return_code to set
	 */
	public void setReturn_code(String return_code) {
		this.return_code = return_code;
	}


	/**
	 * @return the return_msg
	 */
	public String getReturn_msg() {
		return return_msg;
	}


	/**
	 * @param return_msg the return_msg to set
	 */
	public void setReturn_msg(String return_msg) {
		this.return_msg = return_msg;
	}


	/**
	 * @return the date
	 */
	public String getDate() {
		return date;
	}


	/**
	 * @param date the date to set
	 */
	public void setDate(String date) {
		this.date = date;
	}


	/**
	 * @return the count
	 */
	public int getCount() {
		return count;
	}


	/**
	 * @param count the count to set
	 */
	public void setCount(int count) {
		this.count = count;
	}


	/**
	 * @return the money
	 */
	public float getMoney() {
		return money;
	}


	/**
	 * @param money the money to set
	 */
	public void setMoney(float money) {
		this.money = money;
	}


	/**
	 * @return the itemList
	 */
	public List<WxItem> getItemList() {
		return itemList;
	}


	/**
	 * @param itemList the itemList to set
	 */
	public void setItemList(List<WxItem> itemList) {
		this.itemList = itemList;
	}
	
	
}
